﻿//--------------------------------------------------------------
//	いろいろなメソッド
//
//		作成者：三上直樹，2020/02/09 作成，©三上直樹 2020
//--------------------------------------------------------------

using System;
using System.Windows.Forms;

using ComPortComboBox;


namespace F446_AD_DA_Volume
{
	public partial class Form1 : Form
	{
		// シリアルポートのオープン処理
		private bool SerialPortOpen()
		{
			serialPort1.BaudRate = BAUD_RATE_;

			// ComboBox1 で選択された COM ポートを使うようにする
			string port = ComPort.ExtractComPort(comboBox1.Text);
			if (!comboBox1.Text.Contains("STLink") || (port == "")) return false;

			serialPort1.PortName = port;
			try
			{
				serialPort1.Open();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
				return false;
			}

			return true;
		}

		// シリアルポートのクローズ処理
		private void SerialPortClose()
		{
			serialPort1.Close();
		}

		// シリアルポートに文字列を送る
		private void SendTo(string str)
		{
			try
			{
				serialPort1.Write(str + "\r");
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}

		// USB ポートの監視．変更があった場合は，タイマを起動し，そこで
		// ComboBox の COM ポートに関する表を更新する
		protected override void WndProc(ref Message m)
		{
			if (m.Msg == 0x0219)    // WM_DEVICECHANGE
			{
				int winMsg = m.WParam.ToInt32();
				if ((winMsg == 0x8000) || (winMsg == 0x8004))
					timer1.Enabled = true;  // timer1 を有効化
			}
			base.WndProc(ref m);
		}

		// Debug 時のみ例外のメッセージを出すようにするために使用
		private void ExectionChatch(Exception ex)
		{
			#if DEBUG
			MessageBox.Show(ex.Message + "," + ex.Source + "," +
							ex.TargetSite.ToString());
			#endif
		}
	}
}
