﻿//------------------------------------------------------------------------------
//	マウスの操作に関する部分
//
//		作成者：三上直樹，2020/02/13 作成，©三上直樹 2020
//------------------------------------------------------------------------------

using System.Windows.Forms;

namespace F446_LPF_HPF_Variable
{
	public partial class Form1 : Form
	{
		// イベントハンドラ：マウスのドラッグによる遮断周波数の変更
		private void MyMouseMove(object sender, MouseEventArgs e)
		{
			float frq = plotter_.ToFrequency(e.X);
			if ((frq < F_LOWEST_) || (frq > F_HIGHEST_)) return;

			MouseDrag(frq);
		}

		// マウスのドラッグに関係する処理
		private void MouseDrag(float frq)
		{
			if ((Cursor == Cursors.VSplit) && mouseDown_)	// マウスボタンを押下？
			{
				fC_ = frq;
				label1.Text = "遮断周波数： " + (frq/1000.0f).ToString("0.##") + " kHz";
				if (radioButton1.Checked) SendInt("L", fC_);
				else					  SendInt("H", fC_);

				RedesignDisplay();			// 遮断周波数が変化したとき，再設計
			}
			else
			{
				// マウス･カーソルの形状を指定
				if (paintOk_ && plotter_.IsOnCursor(frq, fC_))
					Cursor = Cursors.VSplit;
				else
					Cursor = Cursors.Default;
			}
		}
	}
}
